This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1003924 - [abrt] [ INFO: possible recursive locking detected ]
[abrt] [ INFO: possible recursive locking detected ]
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-qxl (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Blechter
Fedora Extras Quality Assurance
abrt_hash:d8c4144d8f7dbd3552124b36071...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 10:14 EDT by Kamil Páral
Modified: 2016-07-19 06:20 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:20:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (40.25 KB, text/plain)
2013-09-03 10:14 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-09-03 10:14:38 EDT
Additional info:
reporter:       libreport-2.1.6
[ INFO: possible recursive locking detected ]
3.11.0-0.rc7.git4.1.fc21.x86_64 #1 Not tainted
---------------------------------------------
Xorg/4640 is trying to acquire lock:
 (reservation_ww_class_mutex){+.+.+.}, at: [<ffffffffa009af08>] qxl_surface_id_alloc+0x278/0x4d0 [qxl]
but task is already holding lock:
 (reservation_ww_class_mutex){+.+.+.}, at: [<ffffffffa0086016>] ttm_eu_reserve_buffers+0x146/0x4c0 [ttm]
other info that might help us debug this:
 Possible unsafe locking scenario:
       CPU0
       ----
  lock(reservation_ww_class_mutex);
  lock(reservation_ww_class_mutex);
 *** DEADLOCK ***
 May be due to missing lock nesting notation
3 locks held by Xorg/4640:
 #0:  (reservation_ww_class_acquire){+.+.+.}, at: [<ffffffffa009d7ec>] qxl_release_reserve_list+0x3c/0xe0 [qxl]
 #1:  (reservation_ww_class_mutex){+.+.+.}, at: [<ffffffffa0086016>] ttm_eu_reserve_buffers+0x146/0x4c0 [ttm]
 #2:  (&qdev->surf_evict_mutex){+.+.+.}, at: [<ffffffffa009ad50>] qxl_surface_id_alloc+0xc0/0x4d0 [qxl]
stack backtrace:
CPU: 1 PID: 4640 Comm: Xorg Not tainted 3.11.0-0.rc7.git4.1.fc21.x86_64 #1
Hardware name: Bochs Bochs, BIOS Bochs 01/01/2011
 ffff880055bc8000 ffff880039d97a80 ffffffff817221a6 ffffffff825bf140
 ffff880039d97b40 ffffffff810e8b2f 0000000000000001 ffff880039d97ac0
 ffffffff810b7878 0000000000000000 00016e8b385ec2ce ffffffff82217500
Call Trace:
 [<ffffffff817221a6>] dump_stack+0x54/0x74
 [<ffffffff810e8b2f>] __lock_acquire+0x1a0f/0x1b20
 [<ffffffff810b7878>] ? sched_clock_cpu+0xa8/0x100
 [<ffffffff810e9432>] lock_acquire+0xa2/0x1f0
 [<ffffffffa009af08>] ? qxl_surface_id_alloc+0x278/0x4d0 [qxl]
 [<ffffffff81725957>] mutex_lock_interruptible_nested+0x87/0x460
 [<ffffffffa009af08>] ? qxl_surface_id_alloc+0x278/0x4d0 [qxl]
 [<ffffffffa009af08>] ? qxl_surface_id_alloc+0x278/0x4d0 [qxl]
 [<ffffffffa009af08>] qxl_surface_id_alloc+0x278/0x4d0 [qxl]
 [<ffffffffa0099482>] qxl_bo_check_id+0x32/0x50 [qxl]
 [<ffffffffa009d84c>] qxl_release_reserve_list+0x9c/0xe0 [qxl]
 [<ffffffffa009cf24>] qxl_execbuffer_ioctl+0x284/0x730 [qxl]
 [<ffffffffa00253a2>] drm_ioctl+0x542/0x680 [drm]
 [<ffffffff81305256>] ? inode_has_perm.isra.49.constprop.65+0x56/0x80
 [<ffffffff812046b5>] do_vfs_ioctl+0x305/0x530
 [<ffffffff813056eb>] ? selinux_file_ioctl+0x5b/0x110
 [<ffffffff81204961>] SyS_ioctl+0x81/0xa0
 [<ffffffff81735099>] system_call_fastpath+0x16/0x1b
Comment 1 Kamil Páral 2013-09-03 10:14:46 EDT
Created attachment 793211 [details]
File: dmesg
Comment 3 Jaroslav Reznik 2015-03-03 10:02:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Fedora End Of Life 2016-07-19 06:20:41 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.